heartbeat_client_free
heartbeat_client_new
heartbeat_client_start_service
heartbeat_client_t
heartbeat_error_t
heartbeat_receive
heartbeat_receive_with_timeout
heartbeat_send
HEARTBEAT_SERVICE_NAME

## heartbeat_client_free()

LIBIMOBILEDEVICE_API heartbeat_error_t heartbeat_client_free | ( | heartbeat_client_t | client | ) |

Disconnects a heartbeat client from the device and frees up the heartbeat client data.

Parameters

  client | The heartbeat client to disconnect and free.

Returns
  HEARTBEAT_E_SUCCESS on success, HEARTBEAT_E_INVALID_ARG when client is NULL, or an HEARTBEAT_E_* error code otherwise.